Skip Menu |
 

From: ghudson@mit.edu
Subject: SVN Commit

r24241 (#6755) introduced a bug where if the KDC sends a LastReq entry
containing an account expiry time, we send a prompter warning for
password expiry even if there was no entry containing a password
expiry time. Typically, this results in the message "Warning: Your
password will expire in less than one hour on Thu Jan 1 12:00:00
1970".

Fix this by explicitly checking for pw_exp == 0 in warn_pw_expiry()
after we've gotten past the conditional for invoking the callback.

https://github.com/krb5/krb5/commit/1624388ff4621b24dd855fbcc61bd19ebf7217fa
Commit By: ghudson
Revision: 25730
Changed Files:
U trunk/src/lib/krb5/krb/gic_pwd.c
This should be pulled up to 1.9.4 and 1.10.1.
From: tlyu@mit.edu
Subject: SVN Commit

Pull up r25730 from trunk

------------------------------------------------------------------------
r25730 | ghudson | 2012-03-05 12:35:14 -0500 (Mon, 05 Mar 2012) | 15 lines

ticket: 7098
subject: Fix spurious password expiry warning
target_version: 1.9.4
tags: pullup

r24241 (#6755) introduced a bug where if the KDC sends a LastReq entry
containing an account expiry time, we send a prompter warning for
password expiry even if there was no entry containing a password
expiry time. Typically, this results in the message "Warning: Your
password will expire in less than one hour on Thu Jan 1 12:00:00
1970".

Fix this by explicitly checking for pw_exp == 0 in warn_pw_expiry()
after we've gotten past the conditional for invoking the callback.

https://github.com/krb5/krb5/commit/e9b51501dd6d35c93f8fe4c5fcd3c49e49915c51
Commit By: tlyu
Revision: 25741
Changed Files:
U branches/krb5-1-10/src/lib/krb5/krb/gic_pwd.c
From: tlyu@mit.edu
Subject: SVN Commit

Mark Davies reported the password expiry message bug.

https://github.com/krb5/krb5/commit/9f3589af2b87f79ab351b325f6282ec63912b5e8
Commit By: tlyu
Revision: 25753
Changed Files:
U branches/krb5-1-10/README